//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// C Source File
// Created 19/07/2005; 16:33:50

#include <tigcclib.h>

#include "collision.h"

//-----------------------------------------------------------------------------


int PointLinePosition(int x1,int y1,int x2,int y2,int x,int y)
{
	long d=0;
	
	// equation of line (x1,y1,x2,y2) :
	// (x-x1) * (y2-y1) - (y-y1) * (x2-x1) = 0
	
	if (y1==y2)
	d = - (y-y1) * (x2-x1);
	else if (x1==x2)
	d = (x-x1) * (y2-y1);
	else
	d = (x-x1) * (y2-y1) - (y-y1) * (x2-x1);
	
	
	
	return (d);
}
//---------------------------------------------------------------------------


